Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.j2ee.statistics
Interface TimeStatistic

All Superinterfaces:
  Statistic

All Known Implementing Classes:
  TimeStatisticImpl

public interface TimeStatistic
extends Statistic

Specifies standard timing measurements.

Method Summary
`long` | `getCount()` Number of times the operation was invoked since the beginning of this measurement.
`long` | `getMaxTime()` The maximum amount of time taken to complete one invocation of this operation since the beginning of this measurement.
`long` | `getMinTime()` The minimum amount of time taken to complete one invocation of this operation since the beginning of this measurement.
`long` | `getTotalTime()` This is the sum total of time taken to complete every invocation of this operation since the beginning of this measurement.

Methods inherited from interface javax.management.j2ee.statistics.Statistic
`getDescription, getLastSampleTime, getName, getStartTime, getUnit`

Method Detail

### getCount

    public long getCount()

  Number of times the operation was invoked since the beginning of this measurement.

### getMaxTime

    public long getMaxTime()

  The maximum amount of time taken to complete one invocation of this operation since the beginning of this measurement.

### getMinTime

    public long getMinTime()

  The minimum amount of time taken to complete one invocation of this operation since the beginning of this measurement.

### getTotalTime

    public long getTotalTime()

  This is the sum total of time taken to complete every invocation of this operation since the beginning of this measurement. Dividing totalTime by count will give you the average execution time for this operation.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.